xprt_set_retrans_timeout_def
Prev | SUN RPC subsystem | Next

## Name

xprt_set_retrans_timeout_def — set a request's retransmit timeout

## Synopsis

`void xprt_set_retrans_timeout_def (` | struct rpc_task * | task`)`;

## Arguments

`task`

  task whose timeout is to be set

## Description

Set a request's retransmit timeout based on the transport's default timeout parameters. Used by transports that don't adjust the retransmit timeout based on round-trip time estimation.

Prev | Up | Next
xprt_write_space | Home | xprt_disconnect_done